# Roastery #

Roastery is a modern WordPress stack that helps you get started with the best development tools and project structure.

[Roastery](http://brewpixel.com/roastery/)

Much of the philosophy behind Roastery is inspired by Roots and the [Twelve-Factor App](http://12factor.net/) methodology including the [WordPress specific version](https://roots.io/twelve-factor-wordpress/).

## Installation ##

### New project ###

    vagrant up
    vagrant ssh
    cd /srv/www

Replace `example.com` with your project name which will be the domain name and run the following:

    composer create-project brewpixel/roastery --repository=http://satis.brewpixel.com example.com --stability=dev

### Existing roastery based project ###

If you need to run this script again after the project has already been created you can use the following command:

    composer run-script post-create-project-cmd

## Features ##

* Better folder structure
* Dependency management with [Composer](http://getcomposer.org)
* Easy WordPress configuration with environment specific files
* Environment variables with [Dotenv](https://github.com/vlucas/phpdotenv)
* Easy development environments with [Vagrant](http://www.vagrantup.com/)
* Easy server provisioning with [Puppet]() ()

## Requirements ##

* brew-vagrant installed
  - virtual box
  - vagrant


